Skip to main content
`Ctrl`+`K`

# PETSCRANDOM123

access to Random123 counter based pseudorandom number generators (currently threefry4x64)

## Options Database Key

- -random_type <rand,rand48,sprng,random123> - select the random number generator at runtim

## Note

PETSc must be ./configure with the option –download-random123 to use this random number generator.

## See Also

`RandomCreate()`, `RandomSetType()`, `PETSCRAND`, `PETSCRAND48`, `PETSCSPRNG`, `PetscRandomSetFromOptions()`

## Level

beginner

## Location

src/sys/classes/random/impls/random123/random123.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages